GET/payments/recipients/{id}

Retrieve

Recovers the payment recipient resource by its id

Parameters

Path Parameters

NameType
idrequired
string (uuid)

Responses

200Retrieve a recipient.
object

Bank-account payment recipient. Returned by `/payments/recipients` endpoints and embedded inside payment requests when the request targets a registered recipient.

typerequiredstring

Recipient discriminator. Always `BANK_ACCOUNT` for this schema.

BANK_ACCOUNT
idrequiredstring

Primary identifier

taxNumberrequiredstring

Account owner tax number. Can be CPF or CNPJ (only numbers).

namerequiredstring

Account owner name.

paymentInstitutionrequiredobject

Institution that holds the recipient's bank account.

All of:
part 1object

Response with information related to a payment institution

isDefaultrequiredboolean

Indicates if the recipient is the default one

accountrequiredobject

Payment receiver bank account information

branchrequiredstring

Receiver bank account branch (agency)

numberrequiredstring

Receiver bank account number

typerequiredstring

Receiver bank account type, could be: 'CHECKING_ACCOUNT', 'SAVINGS_ACCOUNT' or 'GUARANTEED_ACCOUNT'

pixKeystring

Pix key associated with the payment recipient

createdAtrequiredstring (date-time)

Date when the payment recipient was created

updatedAtrequiredstring (date-time)

Date when the payment recipient was last updated

Example response

json
{
  "type": "BANK_ACCOUNT",
  "id": "5e9f8f8f-f8f8-4f8f-8f8f-8f8f8f8f8f8f",
  "name": "Conta empresa",
  "taxNumber": "12345678900",
  "paymentInstitution": {
    "id": "00000000-0000-0000-0000-000000000000",
    "name": "Banco J. Safra S.A.",
    "ispb": "03017677",
    "tradeName": "Banco Safra",
    "compe": "074",
    "createdAt": "2020-04-21T15:00:00.000Z",
    "updatedAt": "2020-04-21T15:00:00.000Z"
  },
  "account": {
    "branch": "0001",
    "number": "123456",
    "type": "CHECKING_ACCOUNT"
  },
  "isDefault": false,
  "pixKey": null,
  "createdAt": "2024-01-15T10:30:00.000Z",
  "updatedAt": "2024-01-15T10:30:00.000Z"
}

Code Examples

bash
curl -X GET 'https://api.pluggy.ai/payments/recipients/{id}' \
  -H 'Content-Type: application/json' \
  -H 'X-API-KEY: YOUR_API_KEY'

Try It

Path Parameters